/*
 * @Author: mojunshou 1637302775@qq.com
 * @Date: 2025-03-21 11:57:43
 * @LastEditors: mojunshou 1637302775@qq.com
 * @LastEditTime: 2025-04-11 15:23:44
 * @Description: 惊喜翻倍弹窗
 */
import { Label, Node } from 'cc';
import { _decorator } from 'cc';
import { GameComponent } from "db://oops-framework/module/common/GameComponent";
import { ServerHandler } from '../common/manager/ServerHandler';
import { oops } from 'db://oops-framework/core/Oops';
import { UIID } from '../common/config/GameUIConfig';
import { ADHandler } from '../common/manager/ADHandler';
import { AD_TYPE } from '../common/config/GameDefine';
import { ProgressBar } from 'cc';

const { ccclass, property } = _decorator;

/** 显示对象控制 */
@ccclass('DoubleRewardsView')
export class DoubleRewardsView extends GameComponent {
    @property([Label])
    lab_list: Label[] = [];
    @property(Label)
    lab_title: Label = null!;


    @property(Label)
    lab_tips: Label = null!;   //已经赚XXX

    @property(Node)
    tips_node1: Node = null!;  //进度条

    @property(Node)
    tips_node2: Node = null!;

    @property(ProgressBar)
    pro_loadBar1: ProgressBar = null!;



    @property(ProgressBar)
    pro_loadBar2: ProgressBar = null!;


    protected start() {
        this.setButton();
    }


    btn_alittle() {
        // ServerHandler.inst.getLittleRewards();
        oops.gui.remove(UIID.DoubleRewards);
        //插屏广告
        ADHandler.inst.showAd(AD_TYPE.Double_Close);
    }


    btn_all() {
        ADHandler.inst.showAd(AD_TYPE.Double_Receive);
        oops.gui.remove(UIID.DoubleRewards);
    }


    //算出底部进度条位置



}